Bug 209556

Summary: [new port] security/pinentry-qt5, Qt 5 version of the GnuPG password dialog
Product: Ports & Packages Reporter: Marie Loise Nolden <loise>
Component: Individual Port(s)Assignee: Kurt Jaeger <pi>
Status: Closed FIXED    
Severity: Affects Only Me CC: loise, pi, rakuco
Priority: --- Flags: pi: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
svn diff against ports HEAD for pinentry and pinentry-qt5
none
updated pinentry port due to missing widgets dep
none
updated security/Makefile to patch none

Description Marie Loise Nolden 2016-05-16 16:17:01 UTC
Created attachment 170368 [details]
svn diff against ports HEAD for pinentry and pinentry-qt5

Request: add a pinentry-qt5 frontent for pinentry with the according port added and the pinentry port updated.

Until now, pinentry only provides a Qt 4 interface although a Qt 5 version is doable. I added the according options and used the suffix configure option to rename the qt4 version binary to pinentry-qt4 and use suffix=5 for naming the Qt 5 version pinentry-qt5 to avoid collisions.

As freshports.org doesn't show any dependencies on the pinentry-qt4 port that would require additional measures for the name change of the provided file (pinentry-qt to pinentry-qt4), I assume it is safe to just rename the binary, see
https://www.freshports.org/security/pinentry-qt4/

The update covers:
- additional Qt5 option to the pinentry port with the according changes required for building with either Qt4 or Qt5 together with Qt5 dependencies
- new port "pinentry-qt5" which is basically a copy of the pinentry-qt4 port updated for Qt5.
Comment 1 Marie Loise Nolden 2016-05-16 19:22:13 UTC
Created attachment 170372 [details]
updated pinentry port due to missing widgets dep

Updated the patch to include widgets as dependency for pinentry-qt5
Comment 2 Marie Loise Nolden 2016-05-17 12:26:24 UTC
Created attachment 170403 [details]
updated security/Makefile to patch
Comment 3 Kurt Jaeger freebsd_committer 2016-05-26 03:24:40 UTC
Committed, thanks.
Comment 4 commit-hook freebsd_committer 2016-05-26 03:25:15 UTC
A commit references this bug:

Author: pi
Date: Thu May 26 03:24:23 UTC 2016
New revision: 415872
URL: https://svnweb.freebsd.org/changeset/ports/415872

Log:
  New port: security/pinentry-qt5, Qt 5 version of the GnuPG password dialog

  PR:		209556
  Submitted by:	Ralf Nolden <nolden@kde.org> (kde)
  Approved by:	makc (implicit as kde maintainer)

Changes:
  head/security/Makefile
  head/security/pinentry/Makefile
  head/security/pinentry-qt5/
  head/security/pinentry-qt5/Makefile
Comment 5 commit-hook freebsd_committer 2016-07-03 14:56:25 UTC
A commit references this bug:

Author: rakuco
Date: Sun Jul  3 14:56:02 UTC 2016
New revision: 417973
URL: https://svnweb.freebsd.org/changeset/ports/417973

Log:
  Bump PORTREVISION in security/pinentry and pinentry-qt4 after r415872.

  r415872 changed the binary name that security/pinentry-qt4 installs without
  bumping PORTREVISION in the affected ports, so if security/pinentry gets
  rebuilt after this change but security/pinentry-qt4 is not the pinentry symlink
  will be broken. Similarly, if one builds security/pinentry-qt{4,5} without
  updating security/pinentry, the pinentry symlink will also be broken.

  PR:		209556
  MFH:		2016Q3

Changes:
  head/security/pinentry/Makefile
  head/security/pinentry-qt4/Makefile
Comment 6 commit-hook freebsd_committer 2016-07-03 18:50:10 UTC
A commit references this bug:

Author: rakuco
Date: Sun Jul  3 18:49:35 UTC 2016
New revision: 417990
URL: https://svnweb.freebsd.org/changeset/ports/417990

Log:
  MFH: r417973

  Bump PORTREVISION in security/pinentry and pinentry-qt4 after r415872.

  r415872 changed the binary name that security/pinentry-qt4 installs without
  bumping PORTREVISION in the affected ports, so if security/pinentry gets
  rebuilt after this change but security/pinentry-qt4 is not the pinentry symlink
  will be broken. Similarly, if one builds security/pinentry-qt{4,5} without
  updating security/pinentry, the pinentry symlink will also be broken.

  PR:		209556

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/security/pinentry/Makefile
  branches/2016Q3/security/pinentry-qt4/Makefile